<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
>
  <sqtm-core-dialog-body>
    <div class="p-8 m-t-5 flex-row">
      <i
        nz-icon
        class="sqtm-core-icon"
        nzType="exclamation-circle"
        nzTheme="twotone"
        [nzTwotoneColor]="'#FAAD14'"
      >
      </i>
      <div class="flex-column">
        {{
          'sqtm-core.administration-workspace.projects.dialog.message.deactivate-plugin.warning'
            | translate
        }}
        {{ configuration.pluginName }}

        <label nz-checkbox [(ngModel)]="saveConf" class="m-8">
          {{
            'sqtm-core.administration-workspace.projects.dialog.message.deactivate-plugin.save-configuration'
              | translate
          }}
        </label>
        <p>
          {{ configuration.helpMessage | translate }}
        </p>
      </div>
    </div>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      class="flex-fixed-size"
      nz-button
      nzType="primary"
      (click)="handleConfirm()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
